<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.scanresult.ScanResultActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

    <TextView
        android:id="@+id/tv_rfid_number"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="8dp"
        tools:text="@string/app_name" />

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/iv_profile_image"
        android:layout_width="80dp"
        android:layout_height="80dp"
        android:layout_below="@+id/tv_rfid_number"
        android:layout_alignParentStart="true"
        android:layout_alignParentEnd="true"
        android:layout_marginStart="0dp"
        android:layout_marginEnd="0dp"
        android:layout_marginTop="16dp"
        android:src="@drawable/ic_profile_default"/>

    <LinearLayout
        android:id="@+id/ll_profile_bio"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:layout_below="@id/iv_profile_image"
        android:orientation="vertical"
        android:padding="12dp"
        android:background="@drawable/bg_green">

        <TextView
            android:id="@+id/tv_profile_name"
            style="@style/CommonText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            tools:text="HADYAN EL AUFAR" />

        <TextView
            android:id="@+id/tv_structural_position"
            style="@style/CommonText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            tools:text="IT System Development Specialist" />

        <TextView
            android:id="@+id/tv_functional_position"
            style="@style/CommonText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            tools:text="Engineer/Specialist" />

        <TextView
            android:id="@+id/tv_company_name"
            style="@style/CommonText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            tools:text="PT. Berau Coal Energy" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_profile_status"
        android:layout_width="160dp"
        android:layout_height="wrap_content"
        android:layout_below="@id/ll_profile_bio"
        android:layout_alignParentStart="true"
        android:layout_alignParentEnd="true"
        android:layout_marginTop="16dp"
        android:layout_marginStart="100dp"
        android:layout_marginEnd="100dp"
        android:background="@color/colorPrimary">

        <TextView
            android:id="@+id/tv_profile_status"
            style="@style/CommonText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="8dp"
            android:gravity="center"
            tools:text="PASSED" />

    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_document_problem"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:layout_below="@+id/ll_profile_status"
        tools:listitem="@layout/row_document" />

        <Button
            android:id="@+id/btn_home"
            style="@style/ButtonCommon"
            android:layout_width="120dp"
            android:layout_height="wrap_content"
            android:layout_below="@id/rv_document_problem"
            android:layout_alignParentStart="true"
            android:layout_margin="16dp"
            android:text="@string/label_home" />

        <Button
            android:id="@+id/btn_scan_again"
            style="@style/ButtonCommon"
            android:layout_width="120dp"
            android:layout_height="wrap_content"
            android:layout_below="@+id/rv_document_problem"
            android:layout_alignParentEnd="true"
            android:layout_margin="16dp"
            android:text="@string/label_scan_other" />
    </RelativeLayout>

</ScrollView>